Bug 816877 - libmount does not close device fd before mount(2)
Summary: libmount does not close device fd before mount(2)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-27 08:44 UTC by Karel Zak
Modified: 2012-05-31 00:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-31 00:54:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Karel Zak 2012-04-27 08:44:22 UTC
The syscall mount(2) returns EBUSY on /dev/fd0, because libmount does not close a device file descriptor used originally for filesystem probing.

 # mount /dev/fd0 /mnt
 mount: /dev/fd0 is already mounted or /mnt busy

Fixed by upstream commit 6257e4458295e4a731e3979588e21c95c0cc7186.

Comment 1 Fedora Update System 2012-05-25 11:48:32 UTC
util-linux-2.21.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/util-linux-2.21.2-1.fc17

Comment 2 Fedora Update System 2012-05-26 07:07:52 UTC
Package util-linux-2.21.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing util-linux-2.21.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8440/util-linux-2.21.2-1.fc17
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-05-31 00:54:31 UTC
util-linux-2.21.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.